Référence APIPlans
List test plans
Lists test plans available to the authenticated team.
Lists test plans available to the authenticated team.
Authorization
bearerAuth AuthorizationBearer <token>
Send Authorization: Bearer . The token can be an Autonomy organization API key (aut_xxx) or an OAuth access token.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/plans"[
{
"_id": "string",
"name": "string",
"platforms": [
"web"
],
"steps": [
{
"action": "click",
"target": "Checkout button",
"value": "string",
"config": {
"authProfile": "string",
"isolationProbe": {
"probeId": "string",
"ownerStepIndex": 0,
"ownerProfile": "string",
"actorProfile": "string",
"resourceVariable": "string",
"expectedDeniedStatuses": [
400
]
},
"crossChannel": {
"groupId": "string",
"role": "trigger",
"channel": "api",
"required": true,
"correlationVariable": "string"
}
}
}
],
"apiAuthProfiles": [
{
"name": "string",
"credentials": [
{
"kind": "bearer",
"source": "environment",
"variable": "string"
}
],
"principal": {
"source": "environment",
"variable": "string"
}
}
],
"mode": "auto"
}
]{
"error": "string"
}{
"error": "string"
}